Skip to main content
GET
/
v2
/
lists
/
{listId}
/
fields
/
{fieldId}
/
dropdown-options
Get dropdown options for a List Field
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/fields/{fieldId}/dropdown-options \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "dropdown",
      "id": 1,
      "text": "Seed"
    },
    {
      "type": "dropdown",
      "id": 2,
      "text": "Series A"
    },
    {
      "type": "dropdown",
      "id": 3,
      "text": "Series B"
    }
  ],
  "pagination": {
    "prevUrl": null,
    "nextUrl": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Example:

"field-1234"

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100

Response

OK

DropdownOptionPaged model

data
(DropdownOption · object | RankedDropdownOption · object)[]
required

A page of DropdownOption results

Maximum array length: 100
pagination
Pagination · object
required
Example:
{
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}